Intrusion Prevention

Nagios.XI.Autodiscover_new.php.Local.Privilege.Escalation

Description

This indicates an attack attempt to exploit an Elevation of Privilege vulnerability in Nagios XI.
The vulnerability is due to insufficient validation of the host and service parameters when processing HTTP requests. A remote attacker may be able to exploit this to elevate their privileges, via a crafted HTTP request.

Affected Products

Nagios XI version 5.5.6

Impact

Privilege Escalation: Remote attackers can leverage their privileges on vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.nagios.com/downloads/nagios-xi/change-log/

CVE References

CVE-2018-15710